Package com.collabnet.ce.soap60.fault

# Class WebServiceFault

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
org.apache.axis.AxisFault
com.collabnet.ce.soap60.fault.WebServiceFault

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ActivationUserAlreadyRemovedFault`, `CannotDeleteDocumentVersionFault`, `CannotDeleteHomePageFault`, `ChangeParentNotAllowedFault`, `ChildProjectsFoundFault`, `DeleteTeamFault`, `DependencyViolationFault`, `IllegalArgumentFault`, `IllegalGroupMemberAddFault`, `IllegalUserModificationFault`, `InconsistentFieldValueFault`, `IntegratedAppDisabledFault`, `InvalidAssociationFault`, `InvalidComponentTypeFault`, `InvalidDocumentContentFault`, `InvalidFilterFault`, `InvalidForumTypeFault`, `InvalidOperationFault`, `InvalidPasswordFault`, `InvalidProjectFault`, `InvalidRankFault`, `InvalidSessionFault`, `InvalidTeamFault`, `LastSuperUserFault`, `LoginFault`, `NoSuchObjectFault`, `NoSuchRelationshipFault`, `NoSuchVersionFault`, `ObjectAlreadyExistsFault`, `ParentRoleUsedInChildProjectsFault`, `PendingChangesConflictFault`, `PermissionDeniedFault`, `PlanningFolderRuleViolationFault`, `ProjectAlreadyLockedFault`, `RemoveOnlyProjectAdminFault`, `SearchQuerySyntaxFault`, `SystemFault`, `UserLimitExceededFault`, `VersionMismatchFault`, `WorkflowViolationFault`

public class WebServiceFault extends org.apache.axis.AxisFault
Base class for all SOAP faults (exceptions).

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.axis.AxisFault

  `faultActor, faultCode, faultDetails, faultHeaders, faultNode, faultString, faultSubCode, log`

  ### Fields inherited from class java.rmi.RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebServiceFault(QName faultCode, FaultSummary faultSummary, Throwable cause)`
  Constructor based on fault code and fault string.
  `WebServiceFault(QName faultCode, String faultString)`
  Constructor based on fault code and fault string.
  `WebServiceFault(QName faultCode, Throwable cause)`
  Constructor based on fault code and fault string.

- ## Method Summary

  ### Methods inherited from class org.apache.axis.AxisFault

  `addFaultDetail, addFaultDetail, addFaultDetailString, addFaultSubCode, addFaultSubCodeAsString, addHeader, addHostname, addHostnameIfNeeded, clearFaultDetails, clearFaultSubCodes, clearHeaders, dump, dumpToString, getFaultActor, getFaultCode, getFaultDetails, getFaultNode, getFaultReason, getFaultRole, getFaultString, getFaultSubCodes, getHeaders, initFaultSubCodes, lookupFaultDetail, makeFault, output, printStackTrace, printStackTrace, removeFaultDetail, removeHostname, setFaultActor, setFaultCode, setFaultCode, setFaultCodeAsString, setFaultDetail, setFaultDetailString, setFaultNode, setFaultReason, setFaultRole, setFaultString, toString, writeDetails`

  ### Methods inherited from class java.rmi.RemoteException

  `getCause, getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebServiceFault

    public WebServiceFault(QName faultCode, String faultString)
    Constructor based on fault code and fault string.
    Parameters:
      `faultCode` - Soap fault code.
      `faultString` - Fault description string.

  - ### WebServiceFault

    public WebServiceFault(QName faultCode, Throwable cause)
    Constructor based on fault code and fault string.
    Parameters:
      `faultCode` - Soap fault code.
      `cause` - Causing exception.

  - ### WebServiceFault

    public WebServiceFault(QName faultCode, FaultSummary faultSummary, Throwable cause)
    Constructor based on fault code and fault string.
    Parameters:
      `faultCode` - Soap fault code.
      `faultSummary` - the FaultSummary
      `cause` - Causing exception.